Issue 118697 - Impossible to reset a tab color to Default by API
Summary: Impossible to reset a tab color to Default by API
Status: CLOSED FIXED
Alias: None
Product: App Dev
Classification: Unclassified
Component: api (show other issues)
Version: 3.3.0 or older (OOo)
Hardware: PC Windows XP
: P5 (lowest) Normal
Target Milestone: ---
Assignee: Ariel Constenla-Haile
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-12-26 18:06 UTC by bmarcelly
Modified: 2013-02-24 21:10 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description bmarcelly 2011-12-26 18:06:37 UTC
The default color of a sheet tab is -1.
However, when setting -1 to TabColor by API, the value remains unchanged.

Set tab of Sheet 1 to a particular color, e.g. Blue. Then run this macro:

Sub Main
Dim sh As Object
sh = ThisComponent.Sheets(0)
MsgBox("Before :" & sh.TabColor)
sh.TabColor = -1
MsgBox("After :" & sh.TabColor)
End Sub

There is a nasty work-around : set to color -2 (or any other negative value)
This value is accepted and the tab displays as default. But this is not a normal value.
Comment 1 Ariel Constenla-Haile 2011-12-29 04:36:52 UTC
Fixed with revision 1225428
Comment 2 Ariel Constenla-Haile 2012-05-12 23:24:12 UTC
@bmarcelly: Apache OpenOffice 3.4 has been released. Could you please verify this issue is solved in the current release? You can download Apache OpenOffice from http://www.openoffice.org/download
Comment 3 bmarcelly 2012-05-15 06:57:40 UTC
Tested on AOO 3.4 : OK
Comment 4 bmarcelly 2012-05-15 06:58:09 UTC
Closing.